# Thanks to: https://teilgedanken.de/Blog/post/setting-up-a-minecraft-server-using-systemd/

[Unit]
Description=Minecraft Server

Wants=network.target
After=network.target

[Service]
Restart=always
User={{ mcsrv_server_username }}
Group={{ mcsrv_server_groupname }}
ProtectHome=true
ProtectSystem=full
PrivateDevies=true
NoNewPrivileges=true
PrivateTmp=true
InaccessibleDirectories=/root /sys /srv -/opt /media -/lost+found
ReadWriteDirectories=/var/minecraft/
WorkingDirectory=/var/minecraft/
ExecStart=java -Xmx1024M -Xms1024M -jar minecraft_server.jar nogui

[Install]
WantedBy=multi-user.target